%global oname liblinear
Name:          liblinear-java
Version:       1.95
Release:       1%{?dist}
Summary:       Java port of Liblinear
License:       BSD
URL:           http://liblinear.bwaldvogel.de/
Source0:       https://github.com/bwaldvogel/liblinear-java/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.powermock:powermock-module-junit4)
BuildRequires: mvn(org.powermock:powermock-api-mockito)

BuildArch:     noarch

%description
LIBLINEAR is a simple package for solving large-scale
regularized linear classification and regression. It
currently supports:

* L2-regularized logistic regression/L2-loss support vector
  classification/L1-loss support vector classification
* L1-regularized L2-loss support vector classification
  L1-regularized logistic regression
* L2-regularized L2-loss support vector regression
  L1-loss support vector regression.

This is the Java version of LIBLINEAR.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
find . -name '*.jar' -print -delete
find . -name '*.class' -print -delete

%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%pom_remove_dep org.easytesting:fest-assert

%mvn_file :%{oname} %{oname}

%build

# Test skipped unavailable org.easytesting:fest-assert:1.4
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license COPYRIGHT

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT

%changelog
* Fri Sep 04 2015 gil cattaneo <puntogil@libero.it> 1.95-1
- initial rpm
